Khronos Public Bugzilla
Bug 224 - Shared Exponent Texture Color Conversion equations missing "N"
Shared Exponent Texture Color Conversion equations missing "N"
Status: RESOLVED FIXED
Product: OpenGL
Classification: Unclassified
Component: API Specification
3.2
All All
: P3 normal
: ---
Assigned To: Jon Leech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-12 19:24 PDT by brolingstanz
Modified: 2013-06-03 09:12 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description brolingstanz 2009-10-12 19:24:30 PDT
The equations for red, green and blue seem to be missing the N (mantissa bits) and should read, for each color component, C, 
C = Cs * pow(2, Es - B - N).

[glspec32.core.20090803, section 3.8.17, p. 178.]
Comment 1 Jon Leech 2010-03-05 01:49:55 PST
Someone was messing with Bugzilla. Fixing fields.
Comment 2 Graham Sellers 2013-06-03 09:12:53 PDT
Appears fixed in core 4.3 spec. Closing this bug.